org.gnome.pango

## Class Weight

- Object
- - org.freedesktop.bindings.Constant
  - - org.freedesktop.bindings.Flag
    - - org.gnome.pango.Weight

-     public class Weight
      extends org.freedesktop.bindings.Flag

  Constants used for selecting the weight of a font. `NORMAL` is the default corresponding to text as we are generally accustomed to seeing it.

  A common use of these constants is to make text in a TextView strong; use TextTag's `setWeight()` and pass in `BOLD`.

  Note that most fonts do not implement all the values here. If you specify a weight that is not directly available, the result should be approximated by the closest one, but you are somewhat at the mercy of the $diety as to what you actually get.

  Since:
    4.0.9
  Author:
    Andrew Cowie, Vreixo Formoso

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static Weight` | `BOLD` Bold text.
    `static Weight` | `HEAVY` The heavy weight.
    `static Weight` | `LIGHT` Light weight text.
    `static Weight` | `NORMAL` The default font weight.
    `static Weight` | `SEMIBOLD` An intermediate weight between `NORMAL` and `BOLD`.
    `static Weight` | `ULTRABOLD` Even stronger than `BOLD`, is `ULTRABOLD`!
    `static Weight` | `ULTRALIGHT` The lightest text weight available.

  - ### Method Summary

    - ### Methods inherited from class org.freedesktop.bindings.Flag

      `contains`

    - ### Methods inherited from class org.freedesktop.bindings.Constant

      `toString`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### BOLD

          public static final Weight BOLD

      Bold text.

      This represents a font weight value of `700`, apparently.

      Since:
        4.0.9

    - #### HEAVY

          public static final Weight HEAVY

      The heavy weight. This is clearly for people who missed out on the healthier food in the lighter `ULTRABOLD` department.
      Since:
        4.0.10

    - #### LIGHT

          public static final Weight LIGHT

      Light weight text.
      Since:
        4.0.10

    - #### NORMAL

          public static final Weight NORMAL

      The default font weight.

      This has a value of `400`, apparently.

      Since:
        4.0.9

    - #### SEMIBOLD

          public static final Weight SEMIBOLD

      An intermediate weight between `NORMAL` and `BOLD`.
      Since:
        4.0.10

    - #### ULTRABOLD

          public static final Weight ULTRABOLD

      Even stronger than `BOLD`, is `ULTRABOLD`! Sounds like a health food product.
      Since:
        4.0.10

    - #### ULTRALIGHT

          public static final Weight ULTRALIGHT

      The lightest text weight available. Not much to it. Anorexic, really.
      Since:
        4.0.10